# $Revision: 1.9 $, $Date: 2007/07/24 14:51:18 $
#
# TODO:
# - checkup, bump to 1.0 and build
#
Summary:	Collect system informations for the hardware4linux site
Summary(pl.UTF-8):	Zbieranie informacji dla strony hardware4linux
Name:		hwreport
Version:	0.9.2
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	http://hardware4linux.info/res/%{name}-%{version}.tar.bz2
# Source0-md5:	5c7fd2ff64c44bb9e3be32c6b296092e
URL:		http://hardware4linux.info/
Requires:	dmidecode
Requires:	issue
Requires:	pciutils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Hwreport uses a script hwreport and scan-printers to find out the
hardware in your PC and confront it with a compatibility list on
http://hardware4linux.info.

It works both ways -- you can get information about the drivers and
compatibility of your hardware from the site and submit new entries to
the hardware4linux site.

%description -l pl.UTF-8
Hwreport używa skryptu hwreport i scan-printers do rozpoznawania
sprzętu w komputerze i porównywania go z listą kompatybilności na
stronie http://hardware4linux.info.

Działa to w obie strony -- można pobierać informacje na temat
sterowników i kompatybilności sprzętu ze strony lub wysyłać
nowe wpisy na stronę hardware4linux.

%prep
%setup -q
cat > Makefile <<'EOF'
TARGET = scan-printers
INSTALL = %{_bindir}/install -c
OBJECTS = scan-printers.o
BINARIES = osinfo hwreport
sbindir = %{_sbindir}
all: Makefile $(TARGET)
$(TARGET):  $(OBJECTS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $(TARGET) $(OBJECTS)

clean:
	rm -f $(OBJECTS) $(TARGET)

scan-printers.o: scan-printers.c

install:
	$(INSTALL) $(TARGET) $(DESTDIR)/$(sbindir)
	$(INSTALL) $(BINARIES) $(DESTDIR)/$(sbindir)
EOF

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d  $RPM_BUILD_ROOT%{_sbindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: hwreport.spec,v $
Revision 1.9  2007/07/24 14:51:18  patrys
- 0.9.2

Revision 1.8  2007/07/22 17:50:00  shadzik
- CFLAGS are back
- rel 2

Revision 1.7  2007/07/19 16:51:46  shadzik
- typo

Revision 1.6  2007/07/19 16:11:14  wolf
- proper %desc

Revision 1.5  2007/07/19 15:42:04  shadzik
- up to 0.9.1

Revision 1.4  2007/07/19 15:41:01  shadzik
- R: issue

Revision 1.3  2007/07/19 15:39:14  shadzik
- no need for CFLAGS
- rel 1

Revision 1.2  2007/07/19 15:36:46  shadzik
- better Makefile
- kill unneeded BR
- adapterize
- use make install to install all in %{_sbindir}

Revision 1.1  2007/07/19 15:00:01  czarny
- init
- s/b(tm) check it and bump to 1.0

